# ================================================================
# Name:      DisplayStaticTextDialog.py
# Purpose:   A useful dialog for displaying static text, used for help.
# Author:    Joe Linoff
# Created:   2012-01-10
# Id:        $Id: DisplayStaticTextDialog.py,v 1.4 2012/01/13 02:54:18 jlinoff Exp jlinoff $
# Copyright: (c) 2012 Joe Linoff
# License:
#     SecEd is free software; you can redistribute 
#     it and/or modify it under the terms of the GNU General Public License as 
#     published by the Free Software Foundation; either version 2 of the License, 
#     or (at your option) any later version.
#            
#     SecEd is distributed in the hope that it will be useful, 
#     but WITHOUT ANY WARRANTY; without even the implied warranty of 
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
#     See the GNU General Public License for more details. You should have 
#     received a copy of the GNU General Public License along with SecEd; 
#     if not, write to the Free Software Foundation, Inc., 59 Temple Place, 
#     Suite 330, Boston, MA  02111-1307  USA
# ================================================================

import wx
_ = wx.GetTranslation
class DisplayStaticTextDialog(wx.Dialog):
    """
    Display read-only text file contents.
    """
    def __init__(self, parent, title):
        style = wx.DEFAULT_DIALOG_STYLE | wx.RESIZE_BORDER
        super(DisplayStaticTextDialog, self).__init__(parent, -1, title, style=style)

        text = wx.TextCtrl(self, -1, style=wx.TE_MULTILINE|wx.TE_READONLY)
        text.SetInitialSize((800, 600))
        #font = wx.Font(12, wx.DEFAULT, wx.NORMAL, wx.NORMAL)
        font = wx.Font(12, wx.MODERN, wx.NORMAL, wx.NORMAL)
        text.SetFont(font)

        buttons = self.CreateButtonSizer(wx.OK, 0, wx.CENTER, 5)

        sizer = wx.BoxSizer(wx.VERTICAL)
        sizer.Add(text, 1, wx.EXPAND|wx.ALL, 5)
        sizer.Add(buttons, 0, wx.CENTER|wx.BOTTOM, 5)

        self.SetSizerAndFit(sizer)
        self.input = text

    def SetValue(self, value):
        self.input.SetValue(value)
        self.input.SetFocus()


